{ config, pkgs, ... }:
{
  imports = [ ./nvidia ];

  hardware.opengl = {
    enable = config.system.desktop.enable;
    driSupport32Bit = true;
    extraPackages = with pkgs; [
      vulkan-loader
      vulkan-validation-layers
      vulkan-extension-layer
    ];
  };
}
